Bug 210 - Recycle Module Broken
Recycle Module Broken
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.0preX
All Windows 2000
: P1 normal
: none
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-08 23:29 UTC by John H Terpstra
Modified: 2005-08-24 10:15 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John H Terpstra 2003-07-08 23:29:08 UTC
[Verkauf]
vfs objects = extd_audit recycle
vfs object = recycle:repository=.recycle recycle:versions=True
recycle:touch=True recycle:keeptree=True
             recycle:exclude=*.tmp|*.temp|*.o|*.obj|~$*
comment = Testdir
valid users = heitbrock,administrator
writeable = yes
user = heitbrock,administrator
path = /data1/Verkauf


thxxx for the info but when i add these line in my smb.conf the
directory structure isnt keept when i remove directies on a share. the
files only moves to the .recycle dir.

Bug reported by: Denis Heitbrock <heitbrockd@schlick.de>


I have verified this bug. Setting on the share definition:
   vfs object = recycle:keeptree=True

through debug analysis shows that recycle_keep_dir_tree remains set at False.
I have tried the reverse, setting it to False also results in False. This means
that the directory of origin is never applied to the .recycle target.
Comment 1 Tim Potter 2003-08-05 19:33:25 UTC
It looks like there are some problems in handling multiple VFS options (i.e you
can't do vfs_objects = recycle:foo=bar recycle:foo2=bar2 and have it work properly).
Comment 2 Gerald (Jerry) Carter 2003-08-06 15:20:23 UTC
is this just an option parsing bug?
setting

[public]
        path = /export/public
        read only = no
        msdfs root = yes
        vfs objects = recycle
        vfs object = recycle:repository=.recycle

seems to work ok.
Comment 3 Tim Potter 2003-08-06 16:48:18 UTC
Yes.  As soon as you try adding more than one option it starts getting confused.
 It looks like the argument parsing code can't add an option to an already
loaded vfs module.
Comment 4 Gerald (Jerry) Carter 2003-08-06 21:45:04 UTC
This is a documentation bug.  The actual syntax is:

        vfs object = recycle
        recycle:repository=.recycle2
        recycle:versions=True
        recycle:touch=True
        recycle:keeptree=True
        recycle:exclude=*.tmp|*.temp|*.o|*.obj|~$*

although the exclude pattern doesn't seem to be working quite right.
I'll look at that.
Comment 5 Gerald (Jerry) Carter 2003-08-06 21:53:29 UTC
no bug at all.  The actual exclude syntax is

  recycle:exclude=*.tmp *.temp *.o *.obj ~$*

I'm going to checkin some generic comments about vfs 
modules to the man page but each module needs its own 
man page IMO for option specifics.
Comment 6 Gerald (Jerry) Carter 2005-02-07 08:41:19 UTC
originally reported against 3.0.0beta3.  CLeaning out 
non-production release versions.
Comment 7 Gerald (Jerry) Carter 2005-08-24 10:15:24 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.